import 'package:flutter/material.dart';
import 'package:phoenix_widgets/phoenix_widgets.dart';

class PhoenixTabViewPage extends StatelessWidget {
  PhoenixTabViewPage({Key? key}) : super(key: key);

  final _tabs = {'timer': 'Timer', 'counter': 'Counter'};

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBar(
        title: const Text('Phoenix Tab View Sample'),
      ),
      body: PhoenixTabView(
        tabs: _tabs,
        builder: (BuildContext context, String id) {
          return Center(child: Text(_tabs[id]!));
        },
      ),
    );
  }
}
